Bug 166141 - cdparanoia crashes when invoked from a daemon
cdparanoia crashes when invoked from a daemon
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cdparanoia (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-17 06:59 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 14:22:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace (4.90 KB, text/plain)
2005-08-17 06:59 EDT, Ville Skyttä
no flags Details

  None (edit)
Description Ville Skyttä 2005-08-17 06:59:11 EDT
Duh, hard to set up a minimal reproducer for this, but here goes anyway: 
 
I'm running vdr (from rpm.livna.org), and try to set up an OSD command using 
abcde (from Fedora Extras) for ripping audio CD's.  The vdr daemon is started 
as root, and at startup it switches to the dedicated vdr user, dropping all 
privileges except setting the system time, using libcap. 
 
vdr runs abcde as the vdr user, and abcde runs cdparanoia like 
 
  nice -n 10 cdparanoia -d /dev/cdrom 01 /tmp/music/abcde.8509ca0a/track01.wav 
 
When running on the console as the dedicated vdr user, everything works fine.  
But from within the vdr daemon, cdparanoia crashes.  Output from abcde's debug 
log: 
 
--- 
 
+ nice -n 10 cdparanoia -d /dev/cdrom 01 /tmp/music/abcde.8509ca0a/track01.wav 
cdparanoia III release 9.8 (March 23, 2001) 
(C) 2001 Monty <monty@xiph.org> and Xiphophorus 
 
Report bugs to paranoia@xiph.org 
http://www.xiph.org/paranoia/ 
 
Checking /dev/cdrom for cdrom... 
        DMA scatter/gather table entries: 1 
        table entry size: 131072 bytes 
        maximum theoretical transfer: 55 sectors 
        Setting default read size to 13 sectors (30576 bytes). 
 
        Couldn't disable command queue!  Continuing anyway... 
 
Checking for SCSI emulation... 
        Drive is ATAPI (using SCSI host adaptor emulation) 
 
Checking for MMC style command set... 
/usr/bin/abcde: line 1592: 10713 Segmentation fault      (core dumped) nice 
$READNICE $CDROMREADER -d $CDROM $UTRACKNUM "$WAVDATA" 1>&2 
 
--- 
 
When running on the console, the "Couldn't disable command queue" message 
doesn't appear, and as said, things work fine.  (Side note: abcde has support 
for cdda2wav too, and it crashes as well; but that's maybe a separate bug 
report later.) 
 
gdb backtrace attached.  This is cdparanoia-alpha9.8-25 on FC4, i386.
Comment 1 Ville Skyttä 2005-08-17 06:59:11 EDT
Created attachment 117829 [details]
gdb backtrace
Comment 2 Ville Skyttä 2005-08-23 16:02:53 EDT
I've excluded the capabilities stuff from the equation and changed a few 
things, cdda2wav no longer crashes.  Also, setting CDDA_TRANSPORT=cooked in 
the environment before invoking abcde avoids the crash with cdparanoia.  
Without it set, I still get the same crash. 
Comment 3 Christian Iseli 2007-01-22 06:33:03 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Ville Skyttä 2007-01-22 14:22:16 EST
Can't reproduce any more on FC6's cdparanoia-alpha9.8-27.2, assuming fixed
somewhere along the way.

Note You need to log in before you can comment on or make changes to this bug.